Bug 60901

Summary: [Qt][WK2] Remove usage of ChunkedUpdateDrawingArea.
Product: WebKit Reporter: Andreas Kling <kling>
Component: WebKit QtAssignee: Andreas Kling <kling>
Status: RESOLVED FIXED    
Severity: Normal CC: ossy, webkit.review.bot
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 61001    
Bug Blocks:    
Attachments:
Description Flags
Proposed patch kenneth: review+

Description Andreas Kling 2011-05-16 10:04:40 PDT
To prepare for the eventual removal of the ChunkedUpdateDrawingArea, make QGraphicsWKView's "Simple" backing store type map to DrawingAreaImpl.
Comment 1 Andreas Kling 2011-05-16 10:05:09 PDT
Created attachment 93658 [details]
Proposed patch
Comment 2 WebKit Review Bot 2011-05-16 10:06:54 PDT
Attachment 93658 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit2/ChangeLog', u'Source/WebKit..." exit_code: 1

Source/WebKit2/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Andreas Kling 2011-05-16 10:15:06 PDT
(In reply to comment #2)
> Attachment 93658 [details] did not pass style-queue:
> 
> Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit2/ChangeLog', u'Source/WebKit..." exit_code: 1
> 
> Source/WebKit2/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
> Total errors found: 1 in 3 files

Derp! Will include the bug# when landing. :)
Comment 4 Kenneth Rohde Christiansen 2011-05-16 12:04:05 PDT
Comment on attachment 93658 [details]
Proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=93658&action=review

> Source/WebKit2/ChangeLog:5
> +        [Qt][WK2] Remove usage of ChunkedUpdateDrawingArea.

Where is the bug id?
Comment 5 Andreas Kling 2011-05-17 04:41:48 PDT
Committed r86668: <http://trac.webkit.org/changeset/86668>
Comment 6 Csaba Osztrogon√°c 2011-05-17 22:35:08 PDT
Rolled out: http://trac.webkit.org/changeset/86719
Comment 7 Andreas Kling 2011-05-18 08:50:04 PDT
Committed r86767: <http://trac.webkit.org/changeset/86767>